"use server";

import { prisma } from "@/prisma/prismaClient";

export const findSchema = async (id: string) => {
  const schema = await prisma.schema.findFirst({
    where: {
      id,
    },
    include: {
      gameSystem: {
        select: {
          id: true,
          name: true,
        },
      },
    },
  });
  return schema;
};
